%define build_id3 1
%{?_with_id3: %{expand: %%global build_id3 1}}
%{?_without_id3: %{expand: %%global build_id3 0}}

Summary:	A CD player and ripper/MP3-encoder front-end
Name:		grip
Epoch:		1
Version:	4.2.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Players
URL:		https://sourceforge.net/projects/grip/
Source0:	https://prdownloads.sourceforge.net/grip/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	imagemagick
BuildRequires:	gettext-devel
Requires:	vorbis-tools
BuildRequires:	libcdda-devel
%if %build_id3
BuildRequires:	libid3-devel
%endif

%description
A GTK+-based CD player and ripper. It has the ripping
capabilities of cdparanoia built in, but can also use external rippers
(such as cdda2wav). It also provides an automated frontend for various
encoders, letting you take a disc and transform it easily straight
into Vorbis, FLAC or MP3 format (MP3 only with a separate MP3 encoder).
The CDDB protocol is supported for retrieving track information from
disc database servers. Grip works with DigitalDJ to provide a unified
"computerized" version of your music collection.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
  --disable-werror \
%if %build_id3
  --enable-id3 \
%else
  --disable-id3 \
%endif
%ifarch alpha ppc
  --disable-cdpar
%endif

%make_build

%install
%makeinstall
#We don't need the file in both places
rm -rf %{buildroot}/%{_datadir}/apps/solid/actions

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS CREDITS README ChangeLog TODO  
%{_bindir}/*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/pixmaps/grip.png
%{_datadir}/pixmaps/griptray.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/solid/actions/%{name}-audiocd.desktop
%license COPYING*


%changelog
* Mon Nov 28 2022 solbu <solbu> 1:4.2.4-1.mga9
+ Revision: 1912190
- New release: 4.2.4

* Thu Mar 31 2022 umeabot <umeabot> 1:4.2.3-2.mga9
+ Revision: 1837024
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 solbu <solbu> 1:4.2.3-1.mga9
+ Revision: 1743758
- New version: 4.2.3

* Wed Jul 07 2021 solbu <solbu> 1:4.2.2-1.mga9
+ Revision: 1735116
- New release: 4.2.2

* Sun May 30 2021 solbu <solbu> 1:4.2.1-1.mga9
+ Revision: 1728909
- New release: 4.2.1

* Tue Jul 14 2020 solbu <solbu> 1:4.2.0-1.mga8
+ Revision: 1605842
- New release: 4.2.0

* Sun Mar 08 2020 solbu <solbu> 1:4.1.1-1.mga8
+ Revision: 1554928
- New release: 4.1.1

* Thu Feb 20 2020 umeabot <umeabot> 1:4.1.0-2.mga8
+ Revision: 1546705
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 solbu <solbu> 1:4.1.0-1.mga8
+ Revision: 1486992
- Add missing BuildRequires
- New version: 4.1.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 03 2019 solbu <solbu> 1:4.0.1-1.mga8
+ Revision: 1464098
- New release: 4.0.1

* Sat Oct 05 2019 solbu <solbu> 1:4.0.0-1.mga8
+ Revision: 1449393
- New version: 4.0.0

* Sat Aug 17 2019 solbu <solbu> 1:3.10.2-1.mga8
+ Revision: 1429616
- Fix build: Disable werror
- New version: 3.10.2

* Sun Feb 24 2019 solbu <solbu> 1:3.10.1-3.mga7
+ Revision: 1369775
- New version: 3.10.1

* Mon Jan 07 2019 solbu <solbu> 1:3.10.0-3.mga7
+ Revision: 1350842
- New version: 3.10.0

* Sun Sep 23 2018 umeabot <umeabot> 1:3.9.0-3.mga7
+ Revision: 1298078
- Mageia 7 Mass Rebuild

* Tue Jul 17 2018 wally <wally> 1:3.9.0-2.mga7
+ Revision: 1243991
- fix build on aarch64

* Mon Jul 16 2018 solbu <solbu> 1:3.9.0-1.mga7
+ Revision: 1243806
- New version: 3.9.0

* Fri Jun 01 2018 solbu <solbu> 1:3.8.1-1.mga7
+ Revision: 1233404
- New release: 3.8.1

* Sun May 13 2018 solbu <solbu> 1:3.8.0-1.mga7
+ Revision: 1228699
- New release: 3.8.0

* Wed Apr 25 2018 solbu <solbu> 1:3.7.1-1.mga7
+ Revision: 1222418
- New version: 3.7.1

* Tue Mar 20 2018 solbu <solbu> 1:3.7.0-1.mga7
+ Revision: 1210525
- New release: 3.7.0

* Sun Feb 04 2018 solbu <solbu> 1:3.6.3-1.mga7
+ Revision: 1198779
- New version: 3.6.3

* Wed Nov 29 2017 solbu <solbu> 1:3.6.2-1.mga7
+ Revision: 1180243
- New version: 3.6.2

* Wed Oct 04 2017 solbu <solbu> 1:3.6.1-1.mga7
+ Revision: 1168655
- New version: 3.6.1

* Tue Oct 03 2017 solbu <solbu> 1:3.6.0-1.mga7
+ Revision: 1167958
- New version: 3.6.0

* Sat Aug 05 2017 solbu <solbu> 1:3.5.2-1.mga7
+ Revision: 1135092
- New version: 3.5.2

* Sat Jul 29 2017 solbu <solbu> 1:3.5.0-1.mga7
+ Revision: 1132481
-New version: 3.5.0
- Remove no longer needed stuff in spec

* Mon Jul 17 2017 solbu <solbu> 1:3.4.3-1.mga7
+ Revision: 1124264
- Drop no longer needed build setup configuration
- New version: 3.4.3

* Sun May 28 2017 solbu <solbu> 1:3.4.1-1.mga6
+ Revision: 1105383
- New version: 3.4.1

* Mon Apr 17 2017 solbu <solbu> 1:3.4.0-1.mga6
+ Revision: 1096606
- Reenable id3-devel
- New version: 3.4.0

* Sun Apr 02 2017 solbu <solbu> 1:3.3.5-1.mga6
+ Revision: 1095697
- New version: 3.3.5

* Tue Jan 03 2017 solbu <solbu> 1:3.3.3-1.mga6
+ Revision: 1080018
- New version: 3.3.3

* Sun Jan 01 2017 solbu <solbu> 1:3.3.2-1.mga6
+ Revision: 1078972
- New version: 3.3.2
- New upstream URL
- Drop patches: Merged upstream
- Drop Source2, 3 and 4: Merged upstream

* Tue Feb 09 2016 umeabot <umeabot> 1:3.3.1-26.mga6
+ Revision: 952280
- Mageia 6 Mass Rebuild

* Sat Feb 07 2015 alexl <alexl> 1:3.3.1-25.mga5
+ Revision: 814015
- updated Russian translation
- increased minimal window width

* Wed Jan 07 2015 alexl <alexl> 1:3.3.1-24.mga5
+ Revision: 809003
- updated desktop file

* Fri Jan 02 2015 alexl <alexl> 1:3.3.1-23.mga5
+ Revision: 808176
- don't show warning window about development version

* Tue Nov 25 2014 alexl <alexl> 1:3.3.1-22.mga5
+ Revision: 799298
- deleted unused desktop.patch
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1:3.3.1-21.mga5
+ Revision: 747941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.3.1-20.mga5
+ Revision: 679942
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:3.3.1-19.mga4
+ Revision: 505233
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:3.3.1-18.mga3
+ Revision: 352635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 1:3.3.1-17.mga3
+ Revision: 321861
- fix rpm group

* Thu Mar 10 2011 ahmad <ahmad> 1:3.3.1-16.mga2
+ Revision: 67857
- imported package grip

